
Foreman - Feature #14559

Enable reuse of foreman's #documentation_button in plugins.

04/10/2016 03:00 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Plugin integration   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1324616 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3407

  

Description

Currently #documentation_url (source for documentation_button) is hard-coded for foreman documentation pages. If a plugin has its

own documentation, it's impossible to reuse these methods, and the plugin has to reinvent its own helpers. For example see 

https://github.com/theforeman/foreman_remote_execution/blob/master/app/helpers/remote_execution_helper.rb#L207

Associated revisions

Revision b8cc93d5 - 04/12/2016 08:21 AM - Shimon Shtein

Fixes #14559 - Added support for overriding base url for documentation

History

#1 - 04/10/2016 04:30 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3407 added

#2 - 04/12/2016 04:09 AM - Shimon Shtein

- Bugzilla link set to 1324616

#3 - 04/12/2016 09:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b8cc93d5427e9a606a9e51ffab0a792274e68ee8.

#4 - 04/12/2016 09:02 AM - Dominic Cleal

- Category set to Plugin integration

- translation missing: en.field_release set to 136

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://github.com/theforeman/foreman_remote_execution/blob/master/app/helpers/remote_execution_helper.rb#L207
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b8cc93d5427e9a606a9e51ffab0a792274e68ee8
http://www.tcpdf.org

